### Function

# Gio bus_get_finish

since: 2.26

#### Declaration

    GDBusConnection*
    g_bus_get_finish (
      GAsyncResult* res,
      GError** error
    )

#### Description

Finishes an operation started with g_bus_get().

The returned object is a singleton, that is, shared with other callers of `g_bus_get()` and `g_bus_get_sync()` for `bus_type`. In the event that you need a private message bus connection, use `g_dbus_address_get_for_bus_sync()` and `g_dbus_connection_new_for_address()` with G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_CLIENT and G_DBUS_CONNECTION_FLAGS_MESSAGE_BUS_CONNECTION flags.

Note that the returned `GDBusConnection` object will (usually) have the `GDBusConnection:exit-on-close` property set to `TRUE`.

Available since: 2.26

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to `g_bus_get()`

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GDBusConnection`

A `GDBusConnection` or `NULL` if `error` is set. Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.